Trustzone

Client Compatibility

Please don't hesitate to contact us by calling +45 88 33 10 00
or sending an email - we're here to help!

Client Compatibility for TRUSTZONE SSL

CLIENT COMPATIBILITY

Here is a list of supported applications, operating systems and platforms for our SSL products.

 

EXTENDED VALIDATION BROWSERS 
  • Microsoft Internet Explorer 7+
  • Opera 9.5+
  • Firefox 3+
  • Google Chrome 0.3.154.9 +
  • Apple Safari 3.2 +
  • Apple iPhone 3.0 +

 

STANDARD WEB BROWSERS 
  • Microsoft Internet Explorer (IE) 5.01+
  • Mozilla Firefox 1.0+
  • Opera 6.1+
  • Apple Safari 1.0+
  • Google Chrome
  • AOL 5+
  • Netscape Communicator 4.51+
  • Red Hat Linux Konqueror (KDE)
  • Microsoft WebTV
  • Camino
  • Konqueror (KDE) 2.0.0+

 

MAJOR OPERATING SYSTEMS 
  • Microsoft Windows XP, Vista and 7 (all versions inc 32/64 bit)
  • Apple MAC OS 9.0+ (circa 2002), includes 10.5.X and 10.6.X
  • All Major Linux Distributions (Debian, Ubuntu etc)
  • Java Clients
  • IBM SDK
  • Oracle Jinitiator
  • Sun Java JRE (1.4.2 Update 16+, 5.0 Update 13+, 6 Update 3+)
  • Sun Java (J2ME) 2.1+

 

MOBILE OSS, MICRO BROWSERS, HANDSETS & GAME CONSOLES
  • Android
  • Apple iPad
  • Apple iPhone
  • Apple iPod
  • Microsoft Windows Mobile 5/6/7
  • Microsoft Windows CE 4.0
  • Microsoft Internet Explorer Pocket PC 2003
  • Microsoft Internet Explorer Smartphone 2003
  • RIM Blackberry 4.3.0
  • NTT / DoCoMo
  • SoftBank Mobile
  • KDDI
  • Brew
  • PalmOS 5.x
  • Netfront 3.0+
  • Opera 4.10+
  • Openwave Mobile Browser 6.20+
  • Major Operators inc. Vodafone, Orange, AT&T
  • Most Symbian OS based handsets
  • Sony PlayStation Portable
  • Sony PlayStation 3
  • Nintendo Wii

 

Please don't hesitate
contacting us for help
 

+45 8833 1000
support@trustzone.com

Please call me

Let’s have a chat about which certificate or solution your company needs

LinkedIn TRUSTZONE Let's connect

Let's connect

Be updated - Follow TRUSTZONE on LinkedIn

Follow now